c subroutine pdfset pour bbs
	subroutine pdfset(parm,value)
	implicit real*8 (a-h,l-z)
        character*20 parm(20)
	dimension value(20)
        common/w50513/xmin,xmax,q2min,q2max
	common/w50512/qcdl4,qcdl5
C======================================================================
C  NUMERICAL APPROXIMATION OF THE PARTON DENSITY FUNCTIONS DEFINED
C  IN "A STATISTICAL APPROACH FOR POLARIZED PARTON DISRIBUTIONS"
C  C. BOURRELY, J.SOFFER, F. BUCCELLA. HEP-PH/0109160
C  EUR. J. PHYS. C 23, 487  (2002)
C  WARNING : THIS PROGRAM GIVES APPROXIMATE VALUES OF PDF, ONLY
C  THE ORIGINAL EVOLUTION PROGRAM PROVIDES THE EXACT PDF.
C
C  THE CALCULATED PDF ARE DEFINED AS X*QUARK(Q^2,X,J)
C  THE INTEGER J CORRESPONDS TO :
C--------------------------------------------------------------------
C  J = 1  U            | J = 2  D             | J = 3  S            |
C  J = 4 \BAR U        | J = 5  \BAR D        | J = 6 \BAR S        | 
C  J = 7  G            | J = 8  \DELTA U      | J = 9 \DELTA D      |
C  J = 10 \DELTA S     | J = 11 \DELTA\BAR U  | J = 12 \DELTA\BAR D |
C  J = 13 \DELTA\BAR S | J = 14 \DELTA G      | J = 15 CHARM        |
C  J = 16 \DELTA CHARM                                              |
C--------------------------------------------------------------------
C
C NOTE : S = \BAR S,  \DELTA S = \DELTA \BAR S
C        \BAR CHARM = CHARM, \DELTA \BAR CHARM = \DELTA CHARM
C
C THE RANGES OF VALIDITY ARE  2 < Q^2 < 10**4 GeV^2
C AND 10**(-4) < X < 1
C
C WARNING : THERE IS NO TEST ON  X AND Q^2 OUTSIDE THESE RANGES
C
C EVOLUTION AT NLO, INPUT SCALE Q_0^2 = 4 GEV^2
C \Lambda ({\overline{MS}}) = 300 \mbox{MeV}
C
C Author C. BOURRELY   VERSION 12 OCTOBER 2001
C e-mail bourrely@cpt.univ-mrs.fr
       xmin = 1.d-4
       xmax = 1.d0
       q2min = 4.d0**2
       q2max = 1.d4
       qcdl4 = (.300)
c faux mais on s'en fout
       qcdl5 = (.226)
c
	return
	end
c subroutine pftopdg pour bbs
	subroutine pftopdg(x,m,dxpdf)
	implicit real*8 (a-h,l-z)
	dimension dxpdf(-6:6)
	if (m*m.le.1.d+4) then
	  q = m
	else
	  q = dsqrt(1.d+4)
	endif
c
	dxpdf(-6) = 0.d0
	dxpdf(-5) = 0.d0
	dxpdf(-4) = partondf(m*m,x,15)
	dxpdf(-3) = partondf(m*m,x,6)
	dxpdf(-2) = partondf(m*m,x,4)
	dxpdf(-1) = partondf(m*m,x,5)
	dxpdf(0) = partondf(m*m,x,7)
	dxpdf(1) = partondf(m*m,x,2)
	dxpdf(2) = partondf(m*m,x,1)
	dxpdf(3) = partondf(m*m,x,3)
	dxpdf(4) = partondf(m*m,x,15)
	dxpdf(5) = 0.d0
	dxpdf(6) = 0.d0	
	return
	end
