c subroutine pdfset pour cteq6
	subroutine pdfset(parm,value)
	implicit real*8 (a-h,l-z)
        character*20 parm(20)
	dimension value(20)
        common/w50513/xmin,xmax,q2min,q2max
	common/w50512/qcdl4,qcdl5
	common/mrss/imode
	logical lo1,lo2
	ival1 = int(value(1)+1.d-3)
	ival2 = int(value(2)+1.d-3)
	ival3 = int(value(3)+1.d-3)
	lo1 = ival1.eq.1.and.ival2.eq.4
	lo2 = ival3.ge.1.and.ival3.le.240
C  Details about calling convention are:
C ---------------------------------------------------------------------------
C  Iset   PDF-set     Description       Alpha_s(Mz)**Lam4  Lam5   Table_File
C ===========================================================================
C Standard, "best-fit", sets:          Ref.[1]
C --------------------------
C   1    CTEQ6M   Standard MSbar scheme   0.118     326   226    cteq6m.tbl
C   2    CTEQ6D   Standard DIS scheme     0.118     326   226    cteq6d.tbl
C   3    CTEQ6L   Leading Order           0.118**   326** 226    cteq6l.tbl
C   4    CTEQ6L1  Leading Order           0.130**   215** 165    cteq6l1.tbl
C --------------------------
C Special sets for strangeness study:  Ref.[3]
C --------------------------
C  11    CTEQ6A   Class A                 0.118     326   226    cteq6sa.pds
C  12    CTEQ6B   Class B                 0.118     326   226    cteq6sb.pds
C  13    CTEQ6C   Class C                 0.118     326   226    cteq6sc.pds
C  14    CTEQ6B+  Large [S-]              0.118     326   226    cteq6sb+.pds
C  15    CTEQ6B-  Negative [S-]           0.118     326   226    cteq6sb-.pds
C --------------------------
C Special set for Heavy Quark study:   Ref.[4]
C --------------------------
C  21    CTEQ6HQ                          0.118     326   226    cteq6hq.pds
C ============================================================================
C For uncertainty calculations using eigenvectors of the Hessian:
C ---------------------------------------------------------------
C     central + 40 up/down sets along 20 eigenvector directions
C                             -----------------------------
C                Original version, Ref[1]:  central fit: CTEQ6M (=CTEQ6M.00)
C                             -----------------------
C  1xx  CTEQ6M.xx  +/- sets               0.118     326   226    cteq6m1xx.tbl
C        where xx = 01-40: 01/02 corresponds to +/- for the 1st eigenvector, ... etc.
C        e.g. 100      is CTEQ6M.00 (=CTEQ6M),
C             101/102 are CTEQ6M.01/02, +/- sets of 1st eigenvector, ... etc.
C                              -----------------------
C                Updated version, Ref[2]:  central fit: CTEQ6.1M (=CTEQ61.00)
C                              -----------------------
C  2xx  CTEQ61.xx  +/- sets               0.118     326   226    ctq61.xx.tbl
C        where xx = 01-40: 01/02 corresponds to +/- for the 1st eigenvector, ... etc.
C        e.g. 200      is CTEQ61.00 (=CTEQ6.1M),
C             201/202 are CTEQ61.01/02, +/- sets of 1st eigenvector, ... etc.
C ===========================================================================
C   The table grids are generated for 10^-6 < x < 1 and 1.3 < Q < 10,000 (GeV).
	if (lo1.and.lo2) then
	  xmin = 1.d-6
	  xmax = 1.d0
	  q2min = 1.3d0**2
	  q2max = 1.d8
          imode = ival3
	  if (imode.eq.4) then
            qcdl4 = (.215)
            qcdl5 = (.165)
	  else
            qcdl4 = (.326)
            qcdl5 = (.226)
	  endif
c
	else
	  write (8,*) 'bad choice for nset in cteq6',value
	endif
	return
	end
c subroutine pftopdg pour cteq6
	subroutine pftopdg(x,m,dxpdf)
	implicit real*8 (a-h,l-z)
	dimension dxpdf(-6:6)
	common/mrss/imode
	if (m*m.le.1.d+8) then
	  q = m
	else
	  q = dsqrt(1.d+8)
	endif
	call SetCtq6(imode)
c
	dxpdf(-6) = 0.d0
	dxpdf(-5) = x*Ctq6Pdf(-5,x,q)
	dxpdf(-4) = x*Ctq6Pdf(-4,x,q)
	dxpdf(-3) = x*Ctq6Pdf(-3,x,q)
	dxpdf(-2) = x*Ctq6Pdf(-1,x,q)
	dxpdf(-1) = x*Ctq6Pdf(-2,x,q)
	dxpdf(0) = x*Ctq6Pdf(0,x,q)
	dxpdf(1) = x*Ctq6Pdf(2,x,q)
	dxpdf(2) = x*Ctq6Pdf(1,x,q)
	dxpdf(3) = x*Ctq6Pdf(3,x,q)
	dxpdf(4) = x*Ctq6Pdf(4,x,q)
	dxpdf(5) = x*Ctq6Pdf(5,x,q)
	dxpdf(6) = 0.d0	
	return
	end
