C*===================================================================
C
C               ALFA STRONG AT 1 OR 2 LOOPS AT SCALE Q2
C
C==================================================================  */
      DOUBLE PRECISION FUNCTION ALFAS(ILOOP,Q2)
      IMPLICIT REAL*8(A-H,L-Z)
      COMMON/ALFA/MASCH2,MASBO2,MASTO2,LAMBDA2
      COMMON/WW/W03,W04,W05,W06,W13,W14,W15,W16
      EXTERNAL ALF4
      EXTERNAL ALF5
      EXTERNAL ALF6
      PI=3.1415927 
      N=3.D0
      CF=4.D0/3.D0
      NF4 = 4.
      NF5 = 5.
      NF6 = 6.
*
*               BETA FUNCTION COEFFICIENTS AT 1 AND 2 LOOPS
*
      Z2=PI**2/6.D0
      TR3=3./2.D0
      TR4=NF4/2.D0
      TR5=NF5/2.D0
      TR6=NF6/2.D0
      W03=(11.*N-4.*TR3)/6.D0
      W04=(11.*N-4.*TR4)/6.D0
      W05=(11.*N-4.*TR5)/6.D0
      W06=(11.*N-4.*TR6)/6.D0
      IF(ILOOP.EQ.2) THEN
        W13=(17./6.D0*N**2-5./3.D0*N*TR3-CF*TR3)
        W14=(17./6.D0*N**2-5./3.D0*N*TR4-CF*TR4)
        W15=(17./6.D0*N**2-5./3.D0*N*TR5-CF*TR5)
        W16=(17./6.D0*N**2-5./3.D0*N*TR6-CF*TR6)
      ELSE
        W13=0.
        W14=0.
        W15=0.
        W16=0.
      ENDIF
*
      AL1=DLOG(Q2/LAMBDA2)
      IF(Q2.GT.MASTO2) THEN
        ALF2L=1./ALF6(Q2)
      ELSE IF(Q2.GT.MASBO2) THEN
        ALF2L=1./ALF5(Q2)
      ELSE
        ALF2L=1./ALF4(Q2)
      ENDIF
      ALFAS=ALF2L*2.*PI
      RETURN
      END
************************************************************************
      DOUBLE PRECISION  FUNCTION ALF4(SCALE)
      IMPLICIT REAL*8 (A-H,L-Z)
      COMMON/WW/W03,W04,W05,W06,W13,W14,W15,W16
      COMMON/ALFA/MASCH2,MASBO2,MASTO2,LAMBDA2
C      COMMON/CHAL/IALF
      XLOG=DLOG(SCALE/LAMBDA2)
C      IF (IALF.EQ.1) THEN
        ALF4=1./(1./(W04*XLOG)-W14/W04**3*DLOG(XLOG)/XLOG**2)
C      ELSE IF (IALF.EQ.2) THEN
C        ALF4=1./ALTAS(4,SCALE)
C      ENDIF
      RETURN
      END
************************************************************************
      DOUBLE PRECISION  FUNCTION ALF5(SCALE)
      IMPLICIT REAL*8 (A-H,L-Z)
      COMMON/WW/W03,W04,W05,W06,W13,W14,W15,W16
      COMMON/ALFA/MASCH2,MASBO2,MASTO2,LAMBDA2
C      COMMON/CHAL/IALF
      EXTERNAL ALF4
      XLOG=DLOG(SCALE/LAMBDA2)
      XLOGB=DLOG(MASBO2/LAMBDA2)
C      IF (IALF.EQ.1) THEN
        ALF5B=-1./(1./(W05*XLOGB)-W15*DLOG(XLOGB)/W05**3/XLOGB**2)
     C   +ALF4(MASBO2)
        ALF5=1./(1./(W05*XLOG)-W15/W05**3*DLOG(XLOG)/XLOG**2)
     C   +ALF5B
C      ELSE IF (IALF.EQ.2) THEN
C        ALF5B=-1./ALTAS(5,MASBO2)+ALF4(MASBO2)
C        ALF5=1./ALTAS(5,SCALE)+ALF5B
C      ENDIF
      RETURN
      END
************************************************************************
      DOUBLE PRECISION  FUNCTION ALF6(SCALE)
      IMPLICIT REAL*8 (A-H,L-Z)
      COMMON/WW/W03,W04,W05,W06,W13,W14,W15,W16
      COMMON/ALFA/MASCH2,MASBO2,MASTO2,LAMBDA2
      COMMON/CHAL/IALF
      EXTERNAL ALF5
      XLOG=DLOG(SCALE/LAMBDA2)
      XLOGB=DLOG(MASTO2/LAMBDA2)
C      IF (IALF.EQ.1) THEN
        ALF6B=-1./(1./(W06*XLOGB)-W16*DLOG(XLOGB)/W06**3/XLOGB**2)
     C   +ALF5(MASTO2)
        ALF6=1./(1./(W06*XLOG)-W16/W06**3*DLOG(XLOG)/XLOG**2)
     C   +ALF6B
C      ELSE IF (IALF.EQ.2) THEN
C        ALF6B=-1./ALTAS(6,MASTO2)+ALF5(MASTO2)
C        ALF6=1./ALTAS(6,SCALE)+ALF6B
C      ENDIF
      RETURN
      END
